package com.fidms.web.mapper;

import java.util.List;
import com.fidms.web.domain.FlowFieldInput;

/**
 * 流场输入Mapper接口
 * 
 * @author Allen
 * @date 2023-05-08
 */
public interface FlowFieldInputMapper 
{
    /**
     * 查询流场输入
     * 
     * @param id 流场输入主键
     * @return 流场输入
     */
    public FlowFieldInput selectFlowFieldInputById(Long id);

    /**
     * 查询流场输入列表
     * 
     * @param flowFieldInput 流场输入
     * @return 流场输入集合
     */
    public List<FlowFieldInput> selectFlowFieldInputList(FlowFieldInput flowFieldInput);

    /**
     * 新增流场输入
     * 
     * @param flowFieldInput 流场输入
     * @return 结果
     */
    public int insertFlowFieldInput(FlowFieldInput flowFieldInput);

    /**
     * 修改流场输入
     * 
     * @param flowFieldInput 流场输入
     * @return 结果
     */
    public int updateFlowFieldInput(FlowFieldInput flowFieldInput);

    /**
     * 删除流场输入
     * 
     * @param id 流场输入主键
     * @return 结果
     */
    public int deleteFlowFieldInputById(Long id);

    /**
     * 批量删除流场输入
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFlowFieldInputByIds(Long[] ids);

    public List getFlowFieldInputList();
}
